---
services:
    wordpress:
        environment:
          COMPOSER_AUTH: ${COMPOSER_AUTH}
        image: public.ecr.aws/q7y6e9n2/unit-test-images/php:${TEST_PHP_VERSION}
        depends_on:
            - mysql
        volumes:
            - .:/app
        working_dir: /app
        command: [ "bin/run-tests-internal-only.sh", "wordpress_test", "root", "", "mysql", "${TEST_WP_VERSION}", "${TEST_EDD_VERSION}", "false", "${TEST_EXTRA_PLUGINS}" ]
    mysql:
        image: mariadb:10.2
        environment:
            MYSQL_ALLOW_EMPTY_PASSWORD: "yes"
            MYSQL_DATABASE: "wordpress_test"
            MYSQL_ROOT_PASSWORD: ""
